From 7ed3c614a5a81871e8ee5a0a50ea565af4fe5792 Mon Sep 17 00:00:00 2001
From: Shugo Maeda <shugo@ruby-lang.org>
Date: Thu, 29 Jul 2010 10:38:47 +0900
Subject: [PATCH 11/51] nested methods should be private.

---
 vm.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/vm.c b/vm.c
index 8d19d4c..b9bd45c 100644
--- a/vm.c
+++ b/vm.c
@@ -1890,6 +1890,7 @@ vm_define_method(rb_thread_t *th, VALUE obj, ID id, VALUE iseqval, VALUE nested,
 		return;
 	    }
 	}
+	noex = NOEX_PRIVATE;
     }
     else {
 	target = klass;
-- 
1.7.0.4

